#define INCL_DOSMEMMGR
#define INCL_DOSERRORS        // DOS error values
#define INCL_WINSYS           // System values
#define INCL_WININPUT         // Keyboard and mouse input
#define INCL_WINWINDOWMGR
#define INCL_WINENTRYFIELDS   // Entryfield controls
#define INCL_WINDIALOGS       // Dialog boxes
#define INCL_WINMENUS         // Menu Manager Subsection
#define INCL_WINPOINTERS      // Pointer manager
#define INCL_WINBUTTONS       // Button Controls
#define INCL_WINSTDSPIN
#define INCL_WINFRAMEMGR
#define INCL_GPILOGCOLORTABLE
#define INCL_GPIPRIMITIVES
#define INCL_WPCLASS

#include <os2.h>

#include "SysTrayPlugin.h"
#include "DiskMonitorEx.rh"   // resources


// --- Constants
#define WM_USERTIMER (WM_TIMER | 0x8000)
#define WM_SPCPPC    0x41F


// --- Types
typedef struct _UNITDISKMON {
  UNIT    unit;
  BYTE    bZero;
  CHAR    chDrive[27];
  SHORT   currDrive;
  BOOL    showIcon;
  BOOL    showInfo;
  UPPR    uppr;
} UNITDISKMON;
typedef UNITDISKMON *PUNITDISKMON;


// --- Functions
BOOL APIENTRY WinOpenObject(HOBJECT hObject, ULONG ulView, BOOL Flag);

VOID GetUnitPresParam(HWND hwnd,UPPR *uppr);
VOID SetUnitPresParam(HWND hwnd,UPPR *uppr);
VOID CreateOutputString(PUNITDISKMON punit, char * buf, int i);
VOID DrawUnitIconText(HWND hwnd, HPOINTER hIcon, PUNITDISKMON punit);
VOID DrawPointer(HPS hps, int x, int y, int sx, int sy,
                 HPOINTER hptr, LONG bgColor);

